Skip to content
GET/{organizationId}/{mandateId}/crm/messageTemplates/{messageTemplateId}

Get message template

Returns a specific message template by its id with all of its details

Required permissions:

  • mandate.read

  • dispatchDocument.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
messageTemplateIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/messageTemplates/{messageTemplateId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/messageTemplates/{messageTemplateId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

scopestringrequired

Options:

localglobal
typestringrequired

Options:

emailletter
draftbooleanrequired
namestringrequired

minLength: 1

maxLength: 100

descriptionstringrequired

maxLength: 140

contactTypestring | nullrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier
templateContentsDefaultbooleanrequired

Additional properties are not allowed.

Additional properties are not allowed.

createdAtdate-time | nulloptional

Response

200
{
  "_id": "000000000000000000000001",
  "scope": "local",
  "type": "email",
  "draft": true,
  "name": "string",
  "description": "string",
  "contactType": "member",
  "templateContents": {},
  "templateAttachment": {},
  "templateContentsDefault": true,
  "allowedPlaces": [
    "mailings"
  ],
  "email": {
    "subject": "string",
    "previewText": "string",
    "attachments": [
      {
        "resource": "string",
        "id": "string"
      }
    ]
  },
  "letter": {
    "sendColorPostal": true,
    "sendWithCheaperMethod": true
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}